RING: 02060 E-POST: 02060@nettavisen.no
Ønsker du å sende video eller andre dokumenter? Benytt 02060@nettavisen.no
Kontakt oss

Kritisk Linux-hull

En kritisk sårbarhet i Linux-kjernen kan gi vanlige brukere adgang som administrator. Feilen berører alle Linux-versjonene, også den helt nye 2.6.

Feilen finnes i en komponent kalt Mremap som håndterer den virtuelle hukommelsen i systemet. Virtuell hukommelse brukes når et program har brukt opp den tildelte hukommelse.

Angripere kan utnytte sårbarheten ved å bruke komponenten til å skape et ugyldig virtuelt hukommelsesområde. Men fremgangsmåten krever at angriperen allerede har vanlig brukertilgang.

En rettelse til Linux 2.4-linjen i form av en ny utgave, Linux 2.4.24 er allerede sendt ut. Rettelser til Linux 2.2 og 2.6 forventes å komme snart.

Dette er den andre kritiske feilen i Linux-kjernen som er funnet på én måned. Det er en polsk sikkerhetsorganisasjon, ISEC, som har funnet sårbarheten.

Lik Nettavisen her og få flere ferske nyheter og friske meninger!

Våre bloggere